> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for Google locations

> Performs a search for Google locations based on the provided query parameters. This endpoint requires authentication, and only authorized users with the appropriate permissions can access it.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /google-oauth-accounts/locations/search
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /google-oauth-accounts/locations/search:
    get:
      tags:
        - Google
      summary: Search for Google locations
      description: >
        Performs a search for Google locations based on the provided query
        parameters. This endpoint requires authentication, and only authorized
        users with the appropriate permissions can access it.
      operationId: searchGoogleLocations
      parameters:
        - name: query
          in: query
          description: >
            The search query string. It searches on the following fields of the
            Google location: 
              - `locality` (e.g., https://api.partoo.co/v2/google-oauth-accounts/locations/search?query=Paris)
              - `postal_code` (e.g., https://api.partoo.co/v2/google-oauth-accounts/locations/search?query=75018)
              - `location_name` (e.g., https://api.partoo.co/v2/google-oauth-accounts/locations/search?query=Annie%20-%20HQ)
              - `address_details` (e.g., https://api.partoo.co/v2/google-oauth-accounts/locations/search?query=130%20rue%20mont%20cenis)
              - `store_code` (e.g., https://api.partoo.co/v2/google-oauth-accounts/locations/search?query=annie-hq)
          required: false
          schema:
            type: string
        - name: google_location_id
          in: query
          description: The ID of the Google location stored in Partoo.
          required: false
          schema:
            type: string
        - name: oauth_account_id
          in: query
          description: The ID of the OAuth account stored in Partoo.
          required: false
          schema:
            type: string
        - name: not_connected_only
          in: query
          description: Filter for locations not connected to any business.
          required: false
          schema:
            type: boolean
        - name: verification_status
          in: query
          description: Filter by verification status.
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: The page number for pagination.
          required: false
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GoogleLocations'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    GoogleLocations:
      description: Paginated Google Locations
      type: object
      properties:
        locations:
          type: array
          items:
            $ref: '#/components/schemas/GoogleLocation'
        page:
          $ref: '#/components/schemas/current_page'
        max_page:
          $ref: '#/components/schemas/max_page'
        count:
          $ref: '#/components/schemas/count'
    GoogleLocation:
      description: Google location
      type: object
      properties:
        id:
          description: The unique identifier of the Google location on Partoo.
          type: string
          example: 6047dac0604f33da03018004
        location_name:
          description: The name of the location.
          type: string
          example: Annie - HQ
        store_code:
          description: The store code of the google location.
          type: string
          example: annie-hq
        region_code:
          description: The region code where the location is situated.
          type: string
          example: FR
        postal_code:
          description: The postal code of the location.
          type: string
          example: '75018'
        address_details:
          description: The details of the location's address.
          type: string
          example: 130 rue mont cenis
        locality:
          description: The locality of the location.
          type: string
          example: Paris
        place_id:
          description: The unique identifier of the Google Maps place.
          type: string
          example: ChIJ3Qu-HpFt5kcRNHUedqwIzQY
        google_verifications:
          description: >-
            The status and checked date of the Google verification for the
            location.
          type: object
          properties:
            status:
              description: The status of the Google verification.
              type: string
              example: verified
            checked_at:
              description: The date and time when the Google verification was last checked.
              type: string
              format: date-time
              example: '2023-01-30T14:25:11.163950Z'
        phone_numbers:
          description: The phone number associated with the location.
          type: string
          example: '0675181818'
    current_page:
      type: integer
      description: Current page number
      example: 1
    max_page:
      type: integer
      description: Last page number
      example: 10
    count:
      type: integer
      description: Number of resources complying with filters
      example: 287
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````